/**
 * WordPress dependencies
 */
import { useSelect } from '@wordpress/data';

/**
 * Internal dependencies
 */
import MetaBoxesArea from './meta-boxes-area';
import MetaBoxVisibility from './meta-box-visibility';
import { store as editPostStore } from '../../store';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
export default function MetaBoxes({
  location
}) {
  const metaBoxes = useSelect(select => select(editPostStore).getMetaBoxesPerLocation(location), [location]);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [(metaBoxes !== null && metaBoxes !== void 0 ? metaBoxes : []).map(({
      id
    }) => /*#__PURE__*/_jsx(MetaBoxVisibility, {
      id: id
    }, id)), /*#__PURE__*/_jsx(MetaBoxesArea, {
      location: location
    })]
  });
}
//# sourceMappingURL=index.js.map