"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useUpdatePostLinkListener = void 0;
var _data = require("@wordpress/data");
var _element = require("@wordpress/element");
var _editor = require("@wordpress/editor");
var _constants = require("../../store/constants");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

/**
 * This listener hook monitors any change in permalink and updates the view
 * post link in the admin bar.
 */
const useUpdatePostLinkListener = () => {
  const {
    newPermalink
  } = (0, _data.useSelect)(select => ({
    newPermalink: select(_editor.store).getCurrentPost().link
  }), []);
  const nodeToUpdateRef = (0, _element.useRef)();
  (0, _element.useEffect)(() => {
    nodeToUpdateRef.current = document.querySelector(_constants.VIEW_AS_PREVIEW_LINK_SELECTOR) || document.querySelector(_constants.VIEW_AS_LINK_SELECTOR);
  }, []);
  (0, _element.useEffect)(() => {
    if (!newPermalink || !nodeToUpdateRef.current) {
      return;
    }
    nodeToUpdateRef.current.setAttribute('href', newPermalink);
  }, [newPermalink]);
};
exports.useUpdatePostLinkListener = useUpdatePostLinkListener;
//# sourceMappingURL=listener-hooks.js.map