"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MetaBoxVisibility;
var _element = require("@wordpress/element");
var _data = require("@wordpress/data");
var _editor = require("@wordpress/editor");
/**
 * WordPress dependencies
 */

function MetaBoxVisibility({
  id
}) {
  const isVisible = (0, _data.useSelect)(select => {
    return select(_editor.store).isEditorPanelEnabled(`meta-box-${id}`);
  }, [id]);
  (0, _element.useEffect)(() => {
    const element = document.getElementById(id);
    if (!element) {
      return;
    }
    if (isVisible) {
      element.classList.remove('is-hidden');
    } else {
      element.classList.add('is-hidden');
    }
  }, [id, isVisible]);
  return null;
}
//# sourceMappingURL=meta-box-visibility.js.map