"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = WelcomeGuide;
var _data = require("@wordpress/data");
var _default = _interopRequireDefault(require("./default"));
var _template = _interopRequireDefault(require("./template"));
var _store = require("../../store");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function WelcomeGuide({
  postType
}) {
  const {
    isActive,
    isEditingTemplate
  } = (0, _data.useSelect)(select => {
    const {
      isFeatureActive
    } = select(_store.store);
    const _isEditingTemplate = postType === 'wp_template';
    const feature = _isEditingTemplate ? 'welcomeGuideTemplate' : 'welcomeGuide';
    return {
      isActive: isFeatureActive(feature),
      isEditingTemplate: _isEditingTemplate
    };
  }, [postType]);
  if (!isActive) {
    return null;
  }
  return isEditingTemplate ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_template.default, {}) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_default.default, {});
}
//# sourceMappingURL=index.js.map